Index: /code/branches/cpp11_v2/src/libraries/core/command/Functor.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/command/Functor.h	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/core/command/Functor.h	(revision 10765)
@@ -215,5 +215,5 @@
             virtual void* getRawObjectPointer() const = 0;
 
-            /// Enables or disables the safe mode which causes the functor to change the object pointer to NULL if the object is deleted (only member functors).
+            /// Enables or disables the safe mode which causes the functor to change the object pointer to nullptr if the object is deleted (only member functors).
             virtual void setSafeMode(bool bSafeMode) = 0;
 
@@ -245,5 +245,5 @@
             virtual ~FunctorMember() { if (this->bSafeMode_) { this->unregisterObject(this->object_); } }
 
-            /// Calls the function-pointer with up to five arguments and an object. In case of a static-function, the object can be NULL. @return Returns the return-value of the function (if any; MultiType::Null otherwise)
+            /// Calls the function-pointer with up to five arguments and an object. In case of a static-function, the object can be nullptr. @return Returns the return-value of the function (if any; MultiType::Null otherwise)
             virtual MultiType operator()(O* object, const MultiType& param1 = MultiType::Null, const MultiType& param2 = MultiType::Null, const MultiType& param3 = MultiType::Null, const MultiType& param4 = MultiType::Null, const MultiType& param5 = MultiType::Null) = 0;
 
@@ -312,6 +312,6 @@
                 { this->object_ = 0; }
 
-            O* object_;     ///< The stored object-pointer, used to execute a member-function (or NULL for static functions)
-            bool bSafeMode_; ///< If true, the functor is in safe mode and registers itself as listener at the object and changes the pointer to NULL if the object is deleted
+            O* object_;     ///< The stored object-pointer, used to execute a member-function (or nullptr for static functions)
+            bool bSafeMode_; ///< If true, the functor is in safe mode and registers itself as listener at the object and changes the pointer to nullptr if the object is deleted
     };
 
@@ -324,5 +324,5 @@
             FunctorMember(void* object = 0) {}
 
-            /// Calls the function-pointer with up to five arguments and an object. In case of a static-function, the object can be NULL. @return Returns the return-value of the function (if any; MultiType::Null otherwise)
+            /// Calls the function-pointer with up to five arguments and an object. In case of a static-function, the object can be nullptr. @return Returns the return-value of the function (if any; MultiType::Null otherwise)
             virtual MultiType operator()(void* object, const MultiType& param1 = MultiType::Null, const MultiType& param2 = MultiType::Null, const MultiType& param3 = MultiType::Null, const MultiType& param4 = MultiType::Null, const MultiType& param5 = MultiType::Null) = 0;
 
Index: /code/branches/cpp11_v2/src/libraries/core/command/IOConsolePOSIX.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/command/IOConsolePOSIX.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/core/command/IOConsolePOSIX.cc	(revision 10765)
@@ -44,5 +44,5 @@
 namespace orxonox
 {
-    IOConsole* IOConsole::singletonPtr_s = NULL;
+    IOConsole* IOConsole::singletonPtr_s = nullptr;
 
     namespace EscapeMode
@@ -353,9 +353,9 @@
         const char* s;
         if (!this->terminalWidth_ && (s = getenv("COLUMNS")))
-            this->terminalWidth_  = strtol(s, NULL, 10);
+            this->terminalWidth_  = strtol(s, nullptr, 10);
         if (!this->terminalWidth_)
             this->terminalWidth_ = 80;
         if (!this->terminalHeight_ && (s = getenv("LINES")))
-            this->terminalHeight_ = strtol(s, NULL, 10);
+            this->terminalHeight_ = strtol(s, nullptr, 10);
         if (!this->terminalHeight_)
             this->terminalHeight_ = 24;
Index: /code/branches/cpp11_v2/src/libraries/core/command/IOConsoleWindows.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/command/IOConsoleWindows.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/core/command/IOConsoleWindows.cc	(revision 10765)
@@ -41,5 +41,5 @@
 namespace orxonox
 {
-    IOConsole* IOConsole::singletonPtr_s = NULL;
+    IOConsole* IOConsole::singletonPtr_s = nullptr;
 
     //! Redirects std::cout, creates the corresponding Shell and changes the terminal mode
@@ -300,5 +300,5 @@
                 this->terminalWidth_ - 1, this->inputLineRow_ + this->inputLineHeight_ + this->statusLines_ - 1);
             this->inputLineRow_ += linesDown;
-            ScrollConsoleScreenBuffer(stdOutHandle_, &oldRect, NULL, makeCOORD(0, this->inputLineRow_), &fillChar);
+            ScrollConsoleScreenBuffer(stdOutHandle_, &oldRect, nullptr, makeCOORD(0, this->inputLineRow_), &fillChar);
             // Move cursor down to the new bottom so the user can see the status lines
             COORD pos = makeCOORD(0, this->inputLineRow_ + this->inputLineHeight_ - 1 + this->statusLines_);
@@ -312,5 +312,5 @@
             // Scroll output up
             SMALL_RECT oldRect = makeSMALL_RECT(0, lines - linesDown, this->terminalWidth_ - 1, this->inputLineRow_ - 1);
-            ScrollConsoleScreenBuffer(stdOutHandle_, &oldRect, NULL, makeCOORD(0, 0), &fillChar);
+            ScrollConsoleScreenBuffer(stdOutHandle_, &oldRect, nullptr, makeCOORD(0, 0), &fillChar);
         }
     }
@@ -360,5 +360,5 @@
             SMALL_RECT oldRect = makeSMALL_RECT(0, statusLineRow, this->terminalWidth_ - 1, statusLineRow + this->statusLines_);
             CHAR_INFO fillChar = {{' '}, FOREGROUND_BLUE | FOREGROUND_GREEN | FOREGROUND_RED};
-            ScrollConsoleScreenBuffer(stdOutHandle_, &oldRect, NULL, makeCOORD(0, statusLineRow + newLines), &fillChar);
+            ScrollConsoleScreenBuffer(stdOutHandle_, &oldRect, nullptr, makeCOORD(0, statusLineRow + newLines), &fillChar);
             // Clear potential leftovers
             if (-newLines - this->statusLines_ > 0)
Index: /code/branches/cpp11_v2/src/libraries/core/command/TclBind.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/command/TclBind.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/core/command/TclBind.cc	(revision 10765)
@@ -228,5 +228,5 @@
         @brief Executes Tcl-code and returns the return-value.
         @param tclcode A string that contains Tcl-code
-        @param error A pointer to an integer (or NULL) that is used to write an error-code (see @ref CommandExecutorErrorCodes "CommandExecutor error codes")
+        @param error A pointer to an integer (or nullptr) that is used to write an error-code (see @ref CommandExecutorErrorCodes "CommandExecutor error codes")
         @return Returns the return-value of the executed code (or an empty string if there's no return-value)
     */
Index: /code/branches/cpp11_v2/src/libraries/core/config/ConfigFile.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/config/ConfigFile.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/core/config/ConfigFile.cc	(revision 10765)
@@ -275,5 +275,5 @@
 
     /**
-        @brief Returns a pointer to the section with given name (or NULL if the section doesn't exist).
+        @brief Returns a pointer to the section with given name (or nullptr if the section doesn't exist).
     */
     ConfigFileSection* ConfigFile::getSection(const std::string& section) const
@@ -282,5 +282,5 @@
             if ((*it)->getName() == section)
                 return (*it);
-        return NULL;
+        return nullptr;
     }
 
Index: /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileManager.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileManager.cc	(revision 10765)
@@ -44,8 +44,8 @@
     ConfigFileManager* ConfigFileManager::singletonPtr_s = 0;
 
-    /// Constructor: Initializes the array of config files with NULL.
+    /// Constructor: Initializes the array of config files with nullptr.
     ConfigFileManager::ConfigFileManager()
     {
-        this->configFiles_.assign(NULL);
+        this->configFiles_.assign(nullptr);
     }
 
Index: /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileSection.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileSection.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileSection.cc	(revision 10765)
@@ -99,5 +99,5 @@
 
     /**
-        @brief Returns the entry with given name (or NULL if it doesn't exist).
+        @brief Returns the entry with given name (or nullptr if it doesn't exist).
 
         @param name     The name of the entry
@@ -110,9 +110,9 @@
                 return *it;
         }
-        return NULL;
+        return nullptr;
     }
 
     /**
-        @brief Returns the entry of a vector element with given name and index (or NULL if it doesn't exist).
+        @brief Returns the entry of a vector element with given name and index (or nullptr if it doesn't exist).
 
         @param name     The name of the vector
@@ -126,5 +126,5 @@
                 return *it;
         }
-        return NULL;
+        return nullptr;
     }
 
Index: /code/branches/cpp11_v2/src/libraries/core/config/ConfigValueContainer.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/config/ConfigValueContainer.h	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/core/config/ConfigValueContainer.h	(revision 10765)
@@ -223,5 +223,5 @@
             inline const std::string& getSectionName() const
                 { return this->sectionname_; }
-            /// Returns the associated identifier (can be NULL).
+            /// Returns the associated identifier (can be nullptr).
             inline Identifier* getIdentifier() const
                 { return this->identifier_; }
Index: /code/branches/cpp11_v2/src/libraries/core/config/SettingsConfigFile.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/config/SettingsConfigFile.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/core/config/SettingsConfigFile.cc	(revision 10765)
@@ -106,5 +106,5 @@
     void SettingsConfigFile::addConfigValueContainer(ConfigValueContainer* container)
     {
-        if (container == NULL)
+        if (container == nullptr)
             return;
         std::pair<std::string, ConfigValueContainer*> second(getLowercase(container->getName()), container);
@@ -118,5 +118,5 @@
     void SettingsConfigFile::removeConfigValueContainer(ConfigValueContainer* container)
     {
-        if (container == NULL)
+        if (container == nullptr)
             return;
         const std::string& sectionLC = getLowercase(container->getSectionName());
@@ -269,5 +269,5 @@
             {
                 std::string value;
-                it->second.second->getValue<std::string, void>(&value, NULL);
+                it->second.second->getValue<std::string, void>(&value, nullptr);
                 return value;
             }
Index: /code/branches/cpp11_v2/src/libraries/core/input/InputManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/InputManager.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/core/input/InputManager.cc	(revision 10765)
@@ -210,5 +210,5 @@
         catch (const std::exception& ex)
         {
-            oisInputManager_ = NULL;
+            oisInputManager_ = nullptr;
             internalState_ |= Bad;
             ThrowException(InitialisationFailed, "Could not initialise the input system: " << ex.what());
@@ -312,5 +312,5 @@
         BOOST_FOREACH(InputDevice*& device, devices_)
         {
-            if (device == NULL)
+            if (device == nullptr)
                 continue;
             const std::string& className = device->getClassName();
@@ -321,5 +321,5 @@
         devices_.resize(InputDeviceEnumerator::FirstJoyStick);
 
-        assert(oisInputManager_ != NULL);
+        assert(oisInputManager_ != nullptr);
         try
         {
@@ -331,5 +331,5 @@
                                                    << "Potential resource leak!" << endl;
         }
-        oisInputManager_ = NULL;
+        oisInputManager_ = nullptr;
 
         internalState_ |= Bad;
@@ -388,5 +388,5 @@
         // No event gets triggered here yet!
         BOOST_FOREACH(InputDevice* device, devices_)
-            if (device != NULL)
+            if (device != nullptr)
                 device->update(time);
 
@@ -419,5 +419,5 @@
         for (unsigned int i = 0; i < devices_.size(); ++i)
         {
-            if (devices_[i] == NULL)
+            if (devices_[i] == nullptr)
                 continue;
             std::vector<InputState*>& states = devices_[i]->getStateListRef();
@@ -439,5 +439,5 @@
         std::set<InputState*> tempSet;
         for (unsigned int i = 0; i < devices_.size(); ++i)
-            if (devices_[i] != NULL)
+            if (devices_[i] != nullptr)
                 for (unsigned int iState = 0; iState < devices_[i]->getStateListRef().size(); ++iState)
                     tempSet.insert(devices_[i]->getStateListRef()[iState]);
@@ -467,5 +467,5 @@
     {
         BOOST_FOREACH(InputDevice* device, devices_)
-            if (device != NULL)
+            if (device != nullptr)
                 device->clearBuffers();
     }
@@ -477,5 +477,5 @@
 
         BOOST_FOREACH(InputDevice* device, devices_)
-            if (device != NULL)
+            if (device != nullptr)
                 device->startCalibration();
 
@@ -488,5 +488,5 @@
     {
         BOOST_FOREACH(InputDevice* device, devices_)
-            if (device != NULL)
+            if (device != nullptr)
                 device->stopCalibration();
 
@@ -509,5 +509,5 @@
     {
         Mouse* mouse = static_cast<Mouse*>(devices_[InputDeviceEnumerator::Mouse]);
-        if (mouse != NULL)
+        if (mouse != nullptr)
         {
             const OIS::MouseState state = mouse->getOISDevice()->getMouseState();
Index: /code/branches/cpp11_v2/src/libraries/core/input/InputManager.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/InputManager.h	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/core/input/InputManager.h	(revision 10765)
@@ -134,5 +134,5 @@
             Returns a pointer to a InputState referenced by name.
         @return
-            Returns NULL if state was not found.
+            Returns nullptr if state was not found.
         */
         InputState* getState(const std::string& name);
Index: /code/branches/cpp11_v2/src/libraries/core/input/InputState.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/InputState.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/core/input/InputState.cc	(revision 10765)
@@ -49,5 +49,5 @@
             priority_ = 0;
 
-        handlers_.resize(InputDeviceEnumerator::FirstJoyStick + this->getJoyStickList().size(), NULL);
+        handlers_.resize(InputDeviceEnumerator::FirstJoyStick + this->getJoyStickList().size(), nullptr);
     }
 
@@ -55,5 +55,5 @@
     {
         if (device < handlers_.size())
-            return handlers_[device] != NULL;
+            return handlers_[device] != nullptr;
         else
             return false;
@@ -64,5 +64,5 @@
     {
         unsigned int oldSize = handlers_.size();
-        handlers_.resize(InputDeviceEnumerator::FirstJoyStick + joyStickList.size(), NULL);
+        handlers_.resize(InputDeviceEnumerator::FirstJoyStick + joyStickList.size(), nullptr);
 
         for (unsigned int i = oldSize; i < handlers_.size(); ++i)
Index: /code/branches/cpp11_v2/src/libraries/core/input/InputState.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/InputState.h	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/core/input/InputState.h	(revision 10765)
@@ -179,5 +179,5 @@
     {
         for (unsigned int i = 0; i < handlers_.size(); ++i)
-            if (handlers_[i] != NULL)
+            if (handlers_[i] != nullptr)
                 INPUT_STATE_PUSH_CALL(i, allDevicesUpdated, dt);
     }
@@ -188,15 +188,15 @@
         {
         case InputDeviceEnumerator::Keyboard:
-            if (handlers_[keyboardIndex_s] != NULL)
+            if (handlers_[keyboardIndex_s] != nullptr)
                 INPUT_STATE_PUSH_CALL(keyboardIndex_s, keyboardUpdated, dt);
             break;
 
         case InputDeviceEnumerator::Mouse:
-            if (handlers_[mouseIndex_s] != NULL)
+            if (handlers_[mouseIndex_s] != nullptr)
                 INPUT_STATE_PUSH_CALL(mouseIndex_s, mouseUpdated, dt);
             break;
 
         default: // joy sticks
-            if (handlers_[device] != NULL)
+            if (handlers_[device] != nullptr)
                 INPUT_STATE_PUSH_CALL(device, joyStickUpdated, device - firstJoyStickIndex_s, dt);
             break;
@@ -208,5 +208,5 @@
     {
         assert(device < handlers_.size());
-        if (handlers_[device] != NULL)
+        if (handlers_[device] != nullptr)
         {
             // We have to store the function pointer to tell the compiler about its actual type because of overloading
@@ -218,5 +218,5 @@
     ORX_FORCEINLINE void InputState::mouseMoved(IntVector2 abs, IntVector2 rel, IntVector2 clippingSize)
     {
-        if (handlers_[mouseIndex_s] != NULL)
+        if (handlers_[mouseIndex_s] != nullptr)
             INPUT_STATE_PUSH_CALL(mouseIndex_s, mouseMoved, abs, rel, clippingSize);
     }
@@ -224,5 +224,5 @@
     ORX_FORCEINLINE void InputState::mouseScrolled(int abs, int rel)
     {
-        if (handlers_[mouseIndex_s] != NULL)
+        if (handlers_[mouseIndex_s] != nullptr)
             INPUT_STATE_PUSH_CALL(mouseIndex_s, mouseScrolled, abs, rel);
     }
@@ -231,5 +231,5 @@
     {
         assert(device < handlers_.size());
-        if (handlers_[device] != NULL)
+        if (handlers_[device] != nullptr)
             INPUT_STATE_PUSH_CALL(device, axisMoved, device - firstJoyStickIndex_s, axis, value);
     }
Index: /code/branches/cpp11_v2/src/libraries/core/input/KeyBinder.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/KeyBinder.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/core/input/KeyBinder.cc	(revision 10765)
@@ -53,6 +53,6 @@
         : deriveTime_(0.0f)
         , filename_(filename)
-        , configFile_(NULL)
-        , fallbackConfigFile_(NULL)
+        , configFile_(nullptr)
+        , fallbackConfigFile_(nullptr)
     {
         mouseRelative_[0] = 0;
@@ -170,5 +170,5 @@
 
         // load the bindings if required
-        if (configFile_ != NULL)
+        if (configFile_ != nullptr)
         {
             for (unsigned int iDev = oldValue; iDev < joySticks_.size(); ++iDev)
Index: /code/branches/cpp11_v2/src/libraries/core/input/KeyBinder.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/KeyBinder.h	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/core/input/KeyBinder.h	(revision 10765)
@@ -159,5 +159,5 @@
         //! Name of the file used in this KeyBinder (constant!)
         const std::string filename_;
-        //! Config file used. NULL in case of KeyDetector. Also indicates whether we've already loaded.
+        //! Config file used. nullptr in case of KeyDetector. Also indicates whether we've already loaded.
         ConfigFile* configFile_;
         //! Config file from the data directory that only serves as fallback
Index: /code/branches/cpp11_v2/src/libraries/core/input/KeyBinderManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/KeyBinderManager.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/core/input/KeyBinderManager.cc	(revision 10765)
@@ -56,5 +56,5 @@
 
     KeyBinderManager::KeyBinderManager()
-        : currentBinder_(NULL)
+        : currentBinder_(nullptr)
         , bDefaultFileLoaded_(true)
         , bBinding_(false)
Index: /code/branches/cpp11_v2/src/libraries/core/input/KeyBinderManager.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/KeyBinderManager.h	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/core/input/KeyBinderManager.h	(revision 10765)
@@ -107,5 +107,5 @@
 
         // KeyBinder management
-        KeyBinder* currentBinder_;                   //! Currently selected KeyBinder (never NULL!)
+        KeyBinder* currentBinder_;                   //! Currently selected KeyBinder (never nullptr!)
         std::map<std::string, KeyBinder*> binders_;  //! All loaded KeyBinders
         bool bDefaultFileLoaded_;                    //! Tells whether the default one is loaded
Index: /code/branches/cpp11_v2/src/libraries/core/input/KeyDetector.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/KeyDetector.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/core/input/KeyDetector.cc	(revision 10765)
@@ -62,5 +62,5 @@
     KeyDetector::~KeyDetector()
     {
-        inputState_->setHandler(NULL);
+        inputState_->setHandler(nullptr);
         InputManager::getInstance().destroyState("detector");
         ModifyConsoleCommand(__CC_KeyDetector_callback_name).resetFunction();
Index: /code/branches/cpp11_v2/src/libraries/core/module/DynLib.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/module/DynLib.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/core/module/DynLib.cc	(revision 10765)
@@ -56,5 +56,5 @@
     {
         mName = name;
-        m_hInst = NULL;
+        m_hInst = nullptr;
     }
 
@@ -127,10 +127,10 @@
             FORMAT_MESSAGE_FROM_SYSTEM |
             FORMAT_MESSAGE_IGNORE_INSERTS,
-            NULL,
+            nullptr,
             GetLastError(),
             MAKELANGID(LANG_NEUTRAL, SUBLANG_DEFAULT),
             (LPTSTR) &lpMsgBuf,
             0,
-            NULL
+            nullptr
             );
         std::string ret = (char*)lpMsgBuf;
Index: /code/branches/cpp11_v2/src/libraries/core/module/DynLib.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/module/DynLib.h	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/core/module/DynLib.h	(revision 10765)
@@ -45,5 +45,5 @@
 #if defined(ORXONOX_PLATFORM_WINDOWS)
 #    define DYNLIB_HANDLE hInstance
-#    define DYNLIB_LOAD( a ) LoadLibraryEx( a, NULL, LOAD_WITH_ALTERED_SEARCH_PATH )
+#    define DYNLIB_LOAD( a ) LoadLibraryEx( a, nullptr, LOAD_WITH_ALTERED_SEARCH_PATH )
 #    define DYNLIB_GETSYM( a, b ) GetProcAddress( a, b )
 #    define DYNLIB_UNLOAD( a ) !FreeLibrary( a )
@@ -104,5 +104,5 @@
                 the symbol.
             @par
-                If the function fails, the returned value is <b>NULL</b>.
+                If the function fails, the returned value is <b>nullptr</b>.
 
         */
Index: /code/branches/cpp11_v2/src/libraries/core/module/ModuleInstance.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/module/ModuleInstance.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/core/module/ModuleInstance.cc	(revision 10765)
@@ -33,9 +33,9 @@
 namespace orxonox
 {
-    ModuleInstance* ModuleInstance::currentModuleInstance_s = NULL;
+    ModuleInstance* ModuleInstance::currentModuleInstance_s = nullptr;
 
     ModuleInstance::ModuleInstance(const std::string& libraryName)
         : libraryName_(libraryName)
-        , dynLib_(NULL)
+        , dynLib_(nullptr)
     {
     }
Index: /code/branches/cpp11_v2/src/libraries/core/module/Plugin.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/module/Plugin.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/core/module/Plugin.cc	(revision 10765)
@@ -38,10 +38,10 @@
     {
         this->referenceCounter_ = 0;
-        this->moduleInstance_ = NULL;
+        this->moduleInstance_ = nullptr;
     }
 
     Plugin::~Plugin()
     {
-        if (this->moduleInstance_ != NULL)
+        if (this->moduleInstance_ != nullptr)
         {
             this->referenceCounter_ = 1; // force unloading
@@ -77,5 +77,5 @@
             Core::getInstance().unloadModule(this->moduleInstance_);
             delete this->moduleInstance_;
-            this->moduleInstance_ = NULL;
+            this->moduleInstance_ = nullptr;
         }
         else
Index: /code/branches/cpp11_v2/src/libraries/core/module/PluginManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/module/PluginManager.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/core/module/PluginManager.cc	(revision 10765)
@@ -56,6 +56,6 @@
     PluginManager::~PluginManager()
     {
-        ModifyConsoleCommand("PluginManager", __CC_PluginManager_load_name).setObject(NULL);
-        ModifyConsoleCommand("PluginManager", __CC_PluginManager_unload_name).setObject(NULL);
+        ModifyConsoleCommand("PluginManager", __CC_PluginManager_load_name).setObject(nullptr);
+        ModifyConsoleCommand("PluginManager", __CC_PluginManager_unload_name).setObject(nullptr);
 
         for (std::map<std::string, PluginReference*>::iterator it = this->references_.begin(); it != this->references_.end(); ++it)
@@ -89,5 +89,5 @@
     {
         Plugin* plugin = this->plugins_[name];
-        if (plugin != NULL)
+        if (plugin != nullptr)
             plugin->load();
         else
@@ -98,5 +98,5 @@
     {
         Plugin* plugin = this->plugins_[name];
-        if (plugin != NULL)
+        if (plugin != nullptr)
             plugin->unload();
         else
@@ -109,5 +109,5 @@
     void PluginManager::loadPlugin(const std::string& name)
     {
-        if (this->references_[name] == NULL)
+        if (this->references_[name] == nullptr)
         {
             this->references_[name] = new PluginReference(name);
@@ -124,7 +124,7 @@
     {
         PluginReference* reference = this->references_[name];
-        if (reference != NULL)
+        if (reference != nullptr)
         {
-            this->references_[name] = NULL;
+            this->references_[name] = nullptr;
             delete reference;
         }
Index: /code/branches/cpp11_v2/src/libraries/core/object/Context.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/object/Context.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/core/object/Context.cc	(revision 10765)
@@ -46,11 +46,11 @@
         static size_t count = 0;
         // the first time this is called, ++count returns 1 and the context is created
-        // the second time this is called, ++count returns 2 and NULL is returned because we're in the constructor of the context itself
+        // the second time this is called, ++count returns 2 and nullptr is returned because we're in the constructor of the context itself
         // for each future call the context (now completely created) is returned
         if (++count == 2)
-            return NULL;
+            return nullptr;
         else
         {
-            static Context context(NULL);
+            static Context context(nullptr);
             return &context;
         }
@@ -82,10 +82,10 @@
     {
         delete Context::rootContext_s;
-        Context::rootContext_s = NULL;
+        Context::rootContext_s = nullptr;
     }
 
     /*static*/ Context* Context::getRootContext()
     {
-        OrxVerify(Context::rootContext_s != NULL, "Root Context is undefined");
+        OrxVerify(Context::rootContext_s != nullptr, "Root Context is undefined");
         return Context::rootContext_s;
     }
@@ -105,5 +105,5 @@
         ObjectListBase* objectList = this->getObjectList(identifier);
         delete objectList;
-        this->objectLists_[identifier->getClassID()] = NULL;
+        this->objectLists_[identifier->getClassID()] = nullptr;
     }
 }
Index: /code/branches/cpp11_v2/src/libraries/core/object/Destroyable.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/object/Destroyable.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/core/object/Destroyable.cc	(revision 10765)
@@ -66,5 +66,5 @@
     void Destroyable::destroy()
     {
-        assert(this); // Just in case someone tries to delete a NULL pointer
+        assert(this); // Just in case someone tries to delete a nullptr
         this->requestedDestruction_ = true;
         if (this->referenceCount_ == 0)
Index: /code/branches/cpp11_v2/src/libraries/core/object/IteratorBase.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/object/IteratorBase.h	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/core/object/IteratorBase.h	(revision 10765)
@@ -58,5 +58,5 @@
                 @brief Constructor: Sets the element, whereon the iterator points, to the given element.
             */
-            inline IteratorBase(ObjectListElement<T>* element = NULL)
+            inline IteratorBase(ObjectListElement<T>* element = nullptr)
             {
                 this->element_ = element;
@@ -151,5 +151,5 @@
             inline operator bool() const
             {
-                return (this->element_ != NULL);
+                return (this->element_ != nullptr);
             }
 
@@ -208,5 +208,5 @@
                 }
                 else
-                    this->list_ = NULL;
+                    this->list_ = nullptr;
             }
 
Index: /code/branches/cpp11_v2/src/libraries/core/object/StrongPtr.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/object/StrongPtr.h	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/core/object/StrongPtr.h	(revision 10765)
@@ -248,5 +248,5 @@
             }
 
-            /// Returns true if the wrapped pointer is NULL.
+            /// Returns true if the wrapped pointer is nullptr.
             inline bool operator!() const
             {
@@ -269,5 +269,5 @@
             }
 
-            /// Resets the strong pointer (equivalent to assigning a NULL pointer).
+            /// Resets the strong pointer (equivalent to assigning a nullptr).
             inline void reset()
             {
